Oracle Java SE 6 < Update 86 / 7 < Update 73 / 8 < Update 26 Multiple Vulnerabilities

Critical Nessus Network Monitor Plugin ID 8899

Synopsis

The remote host is missing a critical Oracle Java SE patch update.

Description

The Oracle Java SE installed on the remote host is version 6 prior to Update 91, 7 prior to Update 75, or 8 prior to Update 26; therefore, it is affected by multiple vulnerabilities. While the details of these vulnerabilities are not currently known, the vendor has acknowledged that confidentiality, integrity, and availability can be impacted remotely. The components affected by these vulnerabilities are:

- Deployment (CVE-2015-0403, CVE-2015-0406)
- Hotspot (CVE-2014-6601)
- Libraries (CVE-2014-6587, CVE-2015-0400)
- JAX-WS (CVE-2015-0412)

Solution

Update to Java 1.6.0_86 (for JRE 6) / 1.7.0_73 (for JRE 7) / 1.8.0_26 (for JRE 8) or later.

See Also

http://www.oracle.com/technetwork/topics/security/cpujan2015-1972971.html

https://blogs.oracle.com/security/

Plugin Details

Severity: Critical

ID: 8899

Family: Web Clients

Published: 2015/02/12

Modified: 2016/12/06

Dependencies: 8892, 8893, 8895

Risk Information

Risk Factor: Critical

CVSSv2

Base Score: 10

Temporal Score: 7.4

Vector: CVSS2#AV:N/AC:L/Au:N/C:C/I:C/A:C

Temporal Vector: CVSS2#E:U/RL:OF/RC:C

CVSSv3

Base Score: 9.8

Temporal Score: 8.5

Vector: CVSS3#AV:N/AC:L/PR:N/UI:N/S:U/C:H/I:H/A:H

Temporal Vector: CVSS3#E:U/RL:O/RC:C

Vulnerability Information

CPE: cpe:/a:oracle:java_se

Patch Publication Date: 2015/01/21

Vulnerability Publication Date: 2015/01/21

Reference Information

CVE: CVE-2015-0400, CVE-2015-0406, CVE-2014-6587, CVE-2014-6601, CVE-2015-0412, CVE-2015-0403

BID: 72148, 72154, 72136, 72132, 72168, 72159